var db = null;
// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
angular.module('starter', ['ionic', 'starter.controllers', 'ngCordova'])

.run(function($ionicPlatform, $cordovaStatusbar, $cordovaNetwork, $cordovaGoogleAnalytics) {
  $ionicPlatform.ready(function() {
    // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
    }

    if(window.StatusBar) {
      // org.apache.cordova.statusbar required
      StatusBar.styleDefault();
      $cordovaStatusbar.style(1);
      $cordovaStatusbar.overlaysWebView(true);
    }

    window.network=$cordovaNetwork;
    try {
      var connectiontype = $cordovaNetwork.getNetwork(); // 'wifi','4G','3G','Edge' ...
      var isOnline = $cordovaNetwork.isOnline(); // Boolean
      var isOffline = $cordovaNetwork.isOffline(); // Boolean
      console.log('=== LouvreApp : ConnectionType : ', connectionType, ' - IsOnline : ', isOnline, ' - IsOffline : ', isOffline);
    } catch (e) {
      console.log('=== LouvreApp : Error in retrieving NetworkStatus :', JSON.stringify(e));
    };

    //GA
    if (typeof analytics !== "undefined") {
	    analytics.startTrackerWithId(localeConfig.GATrackerId);
		analytics.debugMode();
        console.log('=== LouvreApp : GA is here ! >', analytics);
    } else {
        console.log('=== LouvreApp : Google Analytics Unavailable');
    }

  });
})

.config(function($stateProvider, $urlRouterProvider) {
  $stateProvider

    .state('app', {
      url: "/app",
      abstract: true,
      templateUrl: "templates/menu.html",
      controller: 'AppCtrl'
    })

    .state('app.lists', {
      url: "/lists",
      views: {
        'menuContent' :{
          templateUrl: "templates/lists.html",
          resolve : {
            getGA : function($q,$window){
              var deferred = $q.defer();
            }
          },
          controller: 'ListsCtrl'
        }
      }
    })

    .state('app.home', {
      url: "/home",
      views: {
        'menuContent' :{
          templateUrl: "templates/home.html",
          controller: 'HomeCtrl'
        }
      }
    })

    .state('app.list', {
      url: "/lists/:listId",
      views: {
        'menuContent' :{
          templateUrl: "templates/list.html",
          controller: 'ListCtrl'
        }
      }
    })

  // if none of the above states are matched, use this as the fallback
  $urlRouterProvider.otherwise('/app/home');
});

